Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2032702 - [F36FTBFS]: fawkes fails to build from source in Fedora Rawhide with openldap-2.6
Summary: [F36FTBFS]: fawkes fails to build from source in Fedora Rawhide with openldap...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fawkes
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Till Hofmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2021662
TreeView+ depends on / blocked
 
Reported: 2021-12-15 02:37 UTC by Simon Pichugin
Modified: 2022-05-07 04:15 UTC (History)
1 user (show)

Fixed In Version: fawkes-1.3.1-0.22.f9f66dd.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-07 04:15:52 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Simon Pichugin 2021-12-15 02:37:53 UTC
Your package fails to build with the newest openldap-2.6, which was part of a recent wide Fedora change. More information about Fedora OpenLDAP Change is available here: https://fedoraproject.org/wiki/Changes/Openldap_25#How_To_Test.
Thank you for your cooperation!

Additional Information:
If you have an issue with libldap_r depreciation, you can use the following example for fixing your package:
https://github.com/389ds/389-ds-base/commit/a3375a08a506c3b72a8a23df5238848017691350

Comment 1 Simon Pichugin 2022-01-31 23:58:54 UTC
Hi Till,
The new OpenLDAP build was pushed to Rawhide:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1910731

The deadline for Fedora branching is very close.

The fix for the build issue is probably easy to do (though it may depend on how you do things in the project).
You can find the examples here: 
https://docs.google.com/document/d/17-ndISXL_cidGYdZZWMM9waok50hW3sxj9F1rAEUVoo/edit?usp=sharing

Also, feel free to drop me an email message in google chat or IRC if you'll have any questions, - spichugi (spichugi)

Thanks!
Simon

Comment 2 Ben Cotton 2022-02-08 20:23:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 36 development cycle.
Changing version to 36.

Comment 3 Fedora Update System 2022-04-03 19:47:07 UTC
FEDORA-2022-6b1ec8fb92 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-6b1ec8fb92

Comment 4 Fedora Update System 2022-04-04 02:10:09 UTC
FEDORA-2022-6b1ec8fb92 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-6b1ec8fb92`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-6b1ec8fb92

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-05-07 04:15:52 UTC
FEDORA-2022-6b1ec8fb92 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.